<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>LibraryMgr: AdminDialog Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_small.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">LibraryMgr
   &#160;<span id="projectnumber">0.4</span>
   </div>
   <div id="projectbrief">Library manager desktop app</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('class_admin_dialog.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#signals">Signals</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="class_admin_dialog-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">AdminDialog Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="_admin_dialog_8h_source.html">AdminDialog.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for AdminDialog:</div>
<div class="dyncontent">
<div class="center"><img src="class_admin_dialog__inherit__graph.png" border="0" usemap="#_admin_dialog_inherit__map" alt="Inheritance graph"/></div>
<map name="_admin_dialog_inherit__map" id="_admin_dialog_inherit__map">
<area shape="rect" id="node2" href="class_user_dialog.html" title="UserDialog" alt="" coords="10,80,97,107"/>
</map>
<center><span class="legend">[<a target="top" href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for AdminDialog:</div>
<div class="dyncontent">
<div class="center"><img src="class_admin_dialog__coll__graph.png" border="0" usemap="#_admin_dialog_coll__map" alt="Collaboration graph"/></div>
<map name="_admin_dialog_coll__map" id="_admin_dialog_coll__map">
<area shape="rect" id="node2" href="class_user_dialog.html" title="UserDialog" alt="" coords="137,171,223,197"/>
<area shape="rect" id="node4" href="class_user_preferences_widget.html" title="UserPreferencesWidget" alt="" coords="99,81,261,108"/>
<area shape="rect" id="node6" href="class_user_books_widget.html" title="UserBooksWidget" alt="" coords="285,81,413,108"/>
</map>
<center><span class="legend">[<a target="top" href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="signals"></a>
Signals</h2></td></tr>
<tr class="memitem:a6d1942d76464b00b709539edbe17e10d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_admin_dialog.html#a6d1942d76464b00b709539edbe17e10d">sendAddBookToLibraryRequest</a> (<a class="el" href="class_book.html">Book</a> book)</td></tr>
<tr class="separator:a6d1942d76464b00b709539edbe17e10d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab84c85cd044cfee3558b899544c66e0b"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_admin_dialog.html#ab84c85cd044cfee3558b899544c66e0b">sendEditBookInLibraryRequest</a> (QString oldBookIsbn, <a class="el" href="class_book.html">Book</a> newBook)</td></tr>
<tr class="separator:ab84c85cd044cfee3558b899544c66e0b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac524faf342b61d5aa002c013d4086d48"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_admin_dialog.html#ac524faf342b61d5aa002c013d4086d48">sendRemoveBookFromLibraryRequest</a> (<a class="el" href="class_book.html">Book</a> book)</td></tr>
<tr class="separator:ac524faf342b61d5aa002c013d4086d48"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaa29836eddb9f3d0be605f862b8ce211"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_admin_dialog.html#aaa29836eddb9f3d0be605f862b8ce211">sendAddBookToLibraryRequestResult</a> (bool ok)</td></tr>
<tr class="separator:aaa29836eddb9f3d0be605f862b8ce211"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a953a7c34e5461a83d5d58cd62853f9c3"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_admin_dialog.html#a953a7c34e5461a83d5d58cd62853f9c3">sendEditBookInLibraryRequestResult</a> (bool ok)</td></tr>
<tr class="separator:a953a7c34e5461a83d5d58cd62853f9c3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a019568d28985ba97e38b12899642986d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_admin_dialog.html#a019568d28985ba97e38b12899642986d">sendRemoveBookFromLibraryRequestResult</a> (bool ok)</td></tr>
<tr class="separator:a019568d28985ba97e38b12899642986d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a543c733c8ed1ce351516ab8d205bad7f"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_admin_dialog.html#a543c733c8ed1ce351516ab8d205bad7f">sendUserRequest</a> (QString username)</td></tr>
<tr class="separator:a543c733c8ed1ce351516ab8d205bad7f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a68c381c09fae66cfeda9419dc95f9cbc"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_admin_dialog.html#a68c381c09fae66cfeda9419dc95f9cbc">sendSearchUserRequest</a> (QString id, QString name)</td></tr>
<tr class="separator:a68c381c09fae66cfeda9419dc95f9cbc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a06c386ab5b7db457acdacf6c299d8206"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_admin_dialog.html#a06c386ab5b7db457acdacf6c299d8206">sendAddUserToLibraryRequest</a> (<a class="el" href="class_user.html">User</a> user, bool makeAdmin)</td></tr>
<tr class="separator:a06c386ab5b7db457acdacf6c299d8206"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a203d47d014f60e8dcff40d874ff3afb7"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_admin_dialog.html#a203d47d014f60e8dcff40d874ff3afb7">sendEditUserInLibraryRequest</a> (QString oldId, <a class="el" href="class_user.html">User</a> newUser, bool isAdmin, QString newPassword)</td></tr>
<tr class="separator:a203d47d014f60e8dcff40d874ff3afb7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4a9254bb1a24da17c68c49126a4e5c41"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_admin_dialog.html#a4a9254bb1a24da17c68c49126a4e5c41">sendRemoveUserFromLibraryRequest</a> (<a class="el" href="class_user.html">User</a> user)</td></tr>
<tr class="separator:a4a9254bb1a24da17c68c49126a4e5c41"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2efc7720df8499ce5cb5bacf234150ef"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_admin_dialog.html#a2efc7720df8499ce5cb5bacf234150ef">sendSearchUserRequestResult</a> (std::vector&lt; <a class="el" href="class_user.html">User</a> &gt; users)</td></tr>
<tr class="separator:a2efc7720df8499ce5cb5bacf234150ef"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac22ab7ba0236ae9cab7d6e597fa7a7e1"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_admin_dialog.html#ac22ab7ba0236ae9cab7d6e597fa7a7e1">sendAddUserToLibraryRequestResult</a> (bool ok)</td></tr>
<tr class="separator:ac22ab7ba0236ae9cab7d6e597fa7a7e1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a465dbd18879b4fb120cf82fee64dd403"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_admin_dialog.html#a465dbd18879b4fb120cf82fee64dd403">sendEditUserInLibraryRequestResult</a> (bool ok)</td></tr>
<tr class="separator:a465dbd18879b4fb120cf82fee64dd403"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac47dfcd00870a5ed4e29c05a1eed84a7"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_admin_dialog.html#ac47dfcd00870a5ed4e29c05a1eed84a7">sendRemoveUserFromLibraryRequestResult</a> (bool ok)</td></tr>
<tr class="separator:ac47dfcd00870a5ed4e29c05a1eed84a7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header signals_class_user_dialog"><td colspan="2" onclick="javascript:toggleInherit('signals_class_user_dialog')"><img src="closed.png" alt="-"/>&#160;Signals inherited from <a class="el" href="class_user_dialog.html">UserDialog</a></td></tr>
<tr class="memitem:ab441b89bb8e70c48ebca03c6773efb04 inherit signals_class_user_dialog"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_user_dialog.html#ab441b89bb8e70c48ebca03c6773efb04">sendDetailsAboutBookRequest</a> (QString isbn)</td></tr>
<tr class="separator:ab441b89bb8e70c48ebca03c6773efb04 inherit signals_class_user_dialog"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7e7fb490bbaa72ec5fa9641f19070200 inherit signals_class_user_dialog"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_user_dialog.html#a7e7fb490bbaa72ec5fa9641f19070200">sendSearchBookRequest</a> (QString id, QString title)</td></tr>
<tr class="separator:a7e7fb490bbaa72ec5fa9641f19070200 inherit signals_class_user_dialog"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae5f8ac35de41d3c9e64c85e1689cedc8 inherit signals_class_user_dialog"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_user_dialog.html#ae5f8ac35de41d3c9e64c85e1689cedc8">sendWishlistRequest</a> ()</td></tr>
<tr class="separator:ae5f8ac35de41d3c9e64c85e1689cedc8 inherit signals_class_user_dialog"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0edc1453c13fe50e9a34754edd1ce60e inherit signals_class_user_dialog"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_user_dialog.html#a0edc1453c13fe50e9a34754edd1ce60e">sendLoansRequest</a> ()</td></tr>
<tr class="separator:a0edc1453c13fe50e9a34754edd1ce60e inherit signals_class_user_dialog"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa89b7955cff67e4fc9528de6d266a045 inherit signals_class_user_dialog"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_user_dialog.html#aa89b7955cff67e4fc9528de6d266a045">sendAddBookToWishlistRequest</a> (<a class="el" href="class_book.html">Book</a> book)</td></tr>
<tr class="separator:aa89b7955cff67e4fc9528de6d266a045 inherit signals_class_user_dialog"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ace1910dfa6e1f56bc3d3c3d3e4b21542 inherit signals_class_user_dialog"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_user_dialog.html#ace1910dfa6e1f56bc3d3c3d3e4b21542">sendRemoveBookFromWishlistRequest</a> (<a class="el" href="class_book.html">Book</a> book)</td></tr>
<tr class="separator:ace1910dfa6e1f56bc3d3c3d3e4b21542 inherit signals_class_user_dialog"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a98b08931005f5a9f901afff4003286df inherit signals_class_user_dialog"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_user_dialog.html#a98b08931005f5a9f901afff4003286df">sendReserveBookRequest</a> (<a class="el" href="class_book.html">Book</a> book)</td></tr>
<tr class="separator:a98b08931005f5a9f901afff4003286df inherit signals_class_user_dialog"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8d9cec62b7a9eee1812b628c0a15308f inherit signals_class_user_dialog"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_user_dialog.html#a8d9cec62b7a9eee1812b628c0a15308f">sendReturnBookRequest</a> (<a class="el" href="class_book.html">Book</a> book)</td></tr>
<tr class="separator:a8d9cec62b7a9eee1812b628c0a15308f inherit signals_class_user_dialog"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a35fd2e5ba2011a8b75e2b9a61c31b532 inherit signals_class_user_dialog"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_user_dialog.html#a35fd2e5ba2011a8b75e2b9a61c31b532">sendCurrentUserRequest</a> ()</td></tr>
<tr class="separator:a35fd2e5ba2011a8b75e2b9a61c31b532 inherit signals_class_user_dialog"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa68431ff6220fc31aecdb75f2c84c316 inherit signals_class_user_dialog"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_user_dialog.html#aa68431ff6220fc31aecdb75f2c84c316">sendEditUserRequest</a> (<a class="el" href="class_user.html">User</a> user, bool isAdmin, QString password)</td></tr>
<tr class="separator:aa68431ff6220fc31aecdb75f2c84c316 inherit signals_class_user_dialog"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a125c2aa9aa687da507d02f3af94f9e48 inherit signals_class_user_dialog"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_user_dialog.html#a125c2aa9aa687da507d02f3af94f9e48">sendImportWishlistFromFileRequest</a> (QString pathToFileToImport)</td></tr>
<tr class="separator:a125c2aa9aa687da507d02f3af94f9e48 inherit signals_class_user_dialog"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab242de16bd25f1eeeb6cbc3d9656e992 inherit signals_class_user_dialog"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_user_dialog.html#ab242de16bd25f1eeeb6cbc3d9656e992">sendExportWishlistFromFileRequest</a> (QString pathToFileToExport)</td></tr>
<tr class="separator:ab242de16bd25f1eeeb6cbc3d9656e992 inherit signals_class_user_dialog"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab11953e6e270a9ca297703255da0120d inherit signals_class_user_dialog"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_user_dialog.html#ab11953e6e270a9ca297703255da0120d">sendDetailsAboutBookRequestResult</a> (<a class="el" href="class_book.html">Book</a> book, bool isReservedByUser, bool isInUserWishlist)</td></tr>
<tr class="separator:ab11953e6e270a9ca297703255da0120d inherit signals_class_user_dialog"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a05d4498e62cbb9aba70a60c88ca09485 inherit signals_class_user_dialog"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_user_dialog.html#a05d4498e62cbb9aba70a60c88ca09485">sendSearchBookRequestResult</a> (std::vector&lt; <a class="el" href="class_book.html">Book</a> &gt; books)</td></tr>
<tr class="separator:a05d4498e62cbb9aba70a60c88ca09485 inherit signals_class_user_dialog"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac1e1ca783995919647b8d2e4a416a890 inherit signals_class_user_dialog"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_user_dialog.html#ac1e1ca783995919647b8d2e4a416a890">sendWishlistRequestResult</a> (std::vector&lt; <a class="el" href="class_book.html">Book</a> &gt; books)</td></tr>
<tr class="separator:ac1e1ca783995919647b8d2e4a416a890 inherit signals_class_user_dialog"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aecc8092341671bf6575563dd298e956f inherit signals_class_user_dialog"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_user_dialog.html#aecc8092341671bf6575563dd298e956f">sendLoansRequestResult</a> (std::vector&lt; <a class="el" href="class_book.html">Book</a> &gt; books)</td></tr>
<tr class="separator:aecc8092341671bf6575563dd298e956f inherit signals_class_user_dialog"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ada6d6ec95aeb83241afa80f68c42ae02 inherit signals_class_user_dialog"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_user_dialog.html#ada6d6ec95aeb83241afa80f68c42ae02">sendReserveBookRequestResult</a> (bool ok)</td></tr>
<tr class="separator:ada6d6ec95aeb83241afa80f68c42ae02 inherit signals_class_user_dialog"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeab67aca47d699663edc8bfed7e6da40 inherit signals_class_user_dialog"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_user_dialog.html#aeab67aca47d699663edc8bfed7e6da40">sendReturnBookRequestResult</a> (bool ok)</td></tr>
<tr class="separator:aeab67aca47d699663edc8bfed7e6da40 inherit signals_class_user_dialog"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7eb28790ede8a8d131b41a631f45fdd0 inherit signals_class_user_dialog"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_user_dialog.html#a7eb28790ede8a8d131b41a631f45fdd0">sendAddBookToWishlistRequestResult</a> (bool ok)</td></tr>
<tr class="separator:a7eb28790ede8a8d131b41a631f45fdd0 inherit signals_class_user_dialog"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a735e0f1530bc833767488bead7579af2 inherit signals_class_user_dialog"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_user_dialog.html#a735e0f1530bc833767488bead7579af2">sendRemoveBookFromWishlistRequestResult</a> (bool ok)</td></tr>
<tr class="separator:a735e0f1530bc833767488bead7579af2 inherit signals_class_user_dialog"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8ceda6e9a42e541213117a785a03a34e inherit signals_class_user_dialog"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_user_dialog.html#a8ceda6e9a42e541213117a785a03a34e">sendUserRequestResult</a> (<a class="el" href="class_user.html">User</a> user, bool isAdmin)</td></tr>
<tr class="separator:a8ceda6e9a42e541213117a785a03a34e inherit signals_class_user_dialog"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae914abc5a44dcb119e3516a3ebcda147 inherit signals_class_user_dialog"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_user_dialog.html#ae914abc5a44dcb119e3516a3ebcda147">sendEditUserRequestResult</a> (bool ok)</td></tr>
<tr class="separator:ae914abc5a44dcb119e3516a3ebcda147 inherit signals_class_user_dialog"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaa3afeb0ef9cd5257da3321704d2a322 inherit signals_class_user_dialog"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_user_dialog.html#aaa3afeb0ef9cd5257da3321704d2a322">sendImportWishlistFromFileRequestResult</a> (bool ok)</td></tr>
<tr class="separator:aaa3afeb0ef9cd5257da3321704d2a322 inherit signals_class_user_dialog"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a049e0f82ce07eaf7b82cd3d4251baa6c inherit signals_class_user_dialog"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_user_dialog.html#a049e0f82ce07eaf7b82cd3d4251baa6c">sendExportWishlistFromFileRequestResult</a> (bool ok)</td></tr>
<tr class="separator:a049e0f82ce07eaf7b82cd3d4251baa6c inherit signals_class_user_dialog"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a45c7f0c8881a0ea2a04d6bc3b282ccdc"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_admin_dialog.html#a45c7f0c8881a0ea2a04d6bc3b282ccdc">AdminDialog</a> (QString title=&quot;Admin&quot;, QDialog *parent=0)</td></tr>
<tr class="separator:a45c7f0c8881a0ea2a04d6bc3b282ccdc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_class_user_dialog"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_class_user_dialog')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="class_user_dialog.html">UserDialog</a></td></tr>
<tr class="memitem:ab399986324d115af1ee3aa9de52fcd14 inherit pub_methods_class_user_dialog"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_user_dialog.html#ab399986324d115af1ee3aa9de52fcd14">UserDialog</a> (QString title=&quot;User&quot;, QDialog *parent=0)</td></tr>
<tr class="separator:ab399986324d115af1ee3aa9de52fcd14 inherit pub_methods_class_user_dialog"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pub_slots_class_user_dialog"><td colspan="2" onclick="javascript:toggleInherit('pub_slots_class_user_dialog')"><img src="closed.png" alt="-"/>&#160;Public Slots inherited from <a class="el" href="class_user_dialog.html">UserDialog</a></td></tr>
<tr class="memitem:ac6562b9d4472d5f91c1c97d49cf3cacf inherit pub_slots_class_user_dialog"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_user_dialog.html#ac6562b9d4472d5f91c1c97d49cf3cacf">openAboutDialog</a> ()</td></tr>
<tr class="separator:ac6562b9d4472d5f91c1c97d49cf3cacf inherit pub_slots_class_user_dialog"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab8488583c180d07fed7a4f7b258781e2 inherit pub_slots_class_user_dialog"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_user_dialog.html#ab8488583c180d07fed7a4f7b258781e2">openHelpDialog</a> ()</td></tr>
<tr class="separator:ab8488583c180d07fed7a4f7b258781e2 inherit pub_slots_class_user_dialog"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_methods_class_user_dialog"><td colspan="2" onclick="javascript:toggleInherit('pro_methods_class_user_dialog')"><img src="closed.png" alt="-"/>&#160;Protected Member Functions inherited from <a class="el" href="class_user_dialog.html">UserDialog</a></td></tr>
<tr class="memitem:ada179e25c08942cd6f200dc0ad8ba3ed inherit pro_methods_class_user_dialog"><td class="memItemLeft" align="right" valign="top">virtual QMenuBar *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_user_dialog.html#ada179e25c08942cd6f200dc0ad8ba3ed">createMenuBar</a> ()</td></tr>
<tr class="separator:ada179e25c08942cd6f200dc0ad8ba3ed inherit pro_methods_class_user_dialog"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac53233e905d7e83008028fec11ea2538 inherit pro_methods_class_user_dialog"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_user_dialog.html#ac53233e905d7e83008028fec11ea2538">createAndAddMyBooksTab</a> ()</td></tr>
<tr class="separator:ac53233e905d7e83008028fec11ea2538 inherit pro_methods_class_user_dialog"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7bc4daa2484ab1ba35e78d7fcda8e91a inherit pro_methods_class_user_dialog"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_user_dialog.html#a7bc4daa2484ab1ba35e78d7fcda8e91a">createAndAddPreferencesTab</a> ()</td></tr>
<tr class="separator:a7bc4daa2484ab1ba35e78d7fcda8e91a inherit pro_methods_class_user_dialog"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_attribs_class_user_dialog"><td colspan="2" onclick="javascript:toggleInherit('pro_attribs_class_user_dialog')"><img src="closed.png" alt="-"/>&#160;Protected Attributes inherited from <a class="el" href="class_user_dialog.html">UserDialog</a></td></tr>
<tr class="memitem:a035a0fe976c32284d7ca533321b9f96e inherit pro_attribs_class_user_dialog"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a035a0fe976c32284d7ca533321b9f96e"></a>
QTabWidget *&#160;</td><td class="memItemRight" valign="bottom"><b>tabWidget</b></td></tr>
<tr class="separator:a035a0fe976c32284d7ca533321b9f96e inherit pro_attribs_class_user_dialog"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af787e2aaf0aa806fbfb8ccba38194c38 inherit pro_attribs_class_user_dialog"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af787e2aaf0aa806fbfb8ccba38194c38"></a>
<a class="el" href="class_user_books_widget.html">UserBooksWidget</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>userBooksTab</b></td></tr>
<tr class="separator:af787e2aaf0aa806fbfb8ccba38194c38 inherit pro_attribs_class_user_dialog"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac2833ad33e5f09237d172946daac5e7e inherit pro_attribs_class_user_dialog"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac2833ad33e5f09237d172946daac5e7e"></a>
<a class="el" href="class_user_preferences_widget.html">UserPreferencesWidget</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>userPreferencesTab</b></td></tr>
<tr class="separator:ac2833ad33e5f09237d172946daac5e7e inherit pro_attribs_class_user_dialog"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Copyright 2016-2017 Stefano Fogarollo</p>
<p>Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at</p>
<p><a href="http://www.apache.org/licenses/LICENSE-2.0">http://www.apache.org/licenses/LICENSE-2.0</a></p>
<p>Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License. Dialog to manage admin stuff: edit library (users and books), books whishlit and preferences </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a45c7f0c8881a0ea2a04d6bc3b282ccdc"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">AdminDialog::AdminDialog </td>
          <td>(</td>
          <td class="paramtype">QString&#160;</td>
          <td class="paramname"><em>title</em> = <code>&quot;Admin&quot;</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">QDialog *&#160;</td>
          <td class="paramname"><em>parent</em> = <code>0</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">explicit</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Copyright 2016-2017 Stefano Fogarollo</p>
<p>Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at</p>
<p><a href="http://www.apache.org/licenses/LICENSE-2.0">http://www.apache.org/licenses/LICENSE-2.0</a></p>
<p>Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License. </p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="a6d1942d76464b00b709539edbe17e10d"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void AdminDialog::sendAddBookToLibraryRequest </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="class_book.html">Book</a>&#160;</td>
          <td class="paramname"><em>book</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">signal</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Sends request to backend to add new book to library </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">book</td><td>book to add </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="aaa29836eddb9f3d0be605f862b8ce211"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void AdminDialog::sendAddBookToLibraryRequestResult </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>ok</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">signal</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Sends request to backend to add new book to library </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">ok</td><td>true iff operation went well </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a06c386ab5b7db457acdacf6c299d8206"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void AdminDialog::sendAddUserToLibraryRequest </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="class_user.html">User</a>&#160;</td>
          <td class="paramname"><em>user</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>makeAdmin</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">signal</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Sends request to backend to add new user to library </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">user</td><td>new user to add </td></tr>
    <tr><td class="paramname">makeAdmin</td><td>true iff new user should be an admin </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ac22ab7ba0236ae9cab7d6e597fa7a7e1"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void AdminDialog::sendAddUserToLibraryRequestResult </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>ok</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">signal</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Sends request to backend to add new user to library </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">ok</td><td>true iff operation went well </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ab84c85cd044cfee3558b899544c66e0b"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void AdminDialog::sendEditBookInLibraryRequest </td>
          <td>(</td>
          <td class="paramtype">QString&#160;</td>
          <td class="paramname"><em>oldBookIsbn</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="class_book.html">Book</a>&#160;</td>
          <td class="paramname"><em>newBook</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">signal</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Sends request to backend to add new book to user wishlist </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">oldBookIsbn</td><td>isbn of book to edit </td></tr>
    <tr><td class="paramname">newBook</td><td>new book </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a953a7c34e5461a83d5d58cd62853f9c3"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void AdminDialog::sendEditBookInLibraryRequestResult </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>ok</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">signal</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Sends request to backend to add new book to user wishlist </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">ok</td><td>true iff operation went well </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a203d47d014f60e8dcff40d874ff3afb7"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void AdminDialog::sendEditUserInLibraryRequest </td>
          <td>(</td>
          <td class="paramtype">QString&#160;</td>
          <td class="paramname"><em>oldId</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="class_user.html">User</a>&#160;</td>
          <td class="paramname"><em>newUser</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>isAdmin</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">QString&#160;</td>
          <td class="paramname"><em>newPassword</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">signal</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Sends request to backend to edit user </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">oldId</td><td>email of user to edit </td></tr>
    <tr><td class="paramname">newUser</td><td>new user </td></tr>
    <tr><td class="paramname">isAdmin</td><td>true iff user to display is an admin </td></tr>
    <tr><td class="paramname">newPassword</td><td>password of new user </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a465dbd18879b4fb120cf82fee64dd403"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void AdminDialog::sendEditUserInLibraryRequestResult </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>ok</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">signal</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Sends request to backend to edit user </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">ok</td><td>true iff operation went well </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ac524faf342b61d5aa002c013d4086d48"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void AdminDialog::sendRemoveBookFromLibraryRequest </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="class_book.html">Book</a>&#160;</td>
          <td class="paramname"><em>book</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">signal</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Sends request to backend to remove book from library </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">book</td><td>book to remove </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a019568d28985ba97e38b12899642986d"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void AdminDialog::sendRemoveBookFromLibraryRequestResult </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>ok</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">signal</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Sends request to backend to remove book from library </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">ok</td><td>true iff operation went well </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a4a9254bb1a24da17c68c49126a4e5c41"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void AdminDialog::sendRemoveUserFromLibraryRequest </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="class_user.html">User</a>&#160;</td>
          <td class="paramname"><em>user</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">signal</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Sends request to backend to remove user from library </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">user</td><td>user to remove </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ac47dfcd00870a5ed4e29c05a1eed84a7"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void AdminDialog::sendRemoveUserFromLibraryRequestResult </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>ok</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">signal</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Sends request to backend to remove user from library </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">ok</td><td>true iff operation went well </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a68c381c09fae66cfeda9419dc95f9cbc"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void AdminDialog::sendSearchUserRequest </td>
          <td>(</td>
          <td class="paramtype">QString&#160;</td>
          <td class="paramname"><em>id</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">QString&#160;</td>
          <td class="paramname"><em>name</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">signal</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Sends request to backend to search database for given user </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">id</td><td>email of user to search </td></tr>
    <tr><td class="paramname">name</td><td>name of user to search </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a2efc7720df8499ce5cb5bacf234150ef"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void AdminDialog::sendSearchUserRequestResult </td>
          <td>(</td>
          <td class="paramtype">std::vector&lt; <a class="el" href="class_user.html">User</a> &gt;&#160;</td>
          <td class="paramname"><em>users</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">signal</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Gets search results </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">users</td><td>list of users matching query </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a543c733c8ed1ce351516ab8d205bad7f"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void AdminDialog::sendUserRequest </td>
          <td>(</td>
          <td class="paramtype">QString&#160;</td>
          <td class="paramname"><em>username</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">signal</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Asks backend to send info about current user </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">username</td><td>username of user to get info about </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>gui/dialogs/AdminDialog/<a class="el" href="_admin_dialog_8h_source.html">AdminDialog.h</a></li>
<li>gui/dialogs/AdminDialog/AdminDialog.cpp</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="class_admin_dialog.html">AdminDialog</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
